import UserService from '../services/user.js';

const userDoesNotExist = async (req, res, next) => {

    const { username } = req.body;

    if (await UserService.exists(username)) {
        return res.status(401).send("Such user exists!");
    }
    next();
};

const userExist = async (req, res, next) => {
    const { username } = req.body;

    if (!(await UserService.exists(username))) {
        return res.status(401).send("Such user does not exists!");
    }
    next();
}

export default {userDoesNotExist, userExist};